let blueStyle = [new ol.style.Style({
    image: new ol.style.Circle({
        fill: new ol.style.Fill({
            color: '#ff9e38'
        }),
        stroke: new ol.style.Stroke({
            color: "rgba(255,255,255,0)",
            width: 4
        }),
        radius: 5
    })
})];

let greyStyle = [new ol.style.Style({
    image: new ol.style.Circle({
        fill: new ol.style.Fill({
            color: 'rgba(99, 110, 114,1.0)'
        }),
        stroke: new ol.style.Stroke({
            color: "#ffffff",
            width: 4
        }),
        radius: 5
    })
})];

let legend = { items: [] };

// legend.items.push({styles:uniqStyle, label: "Public", geometry: "Point"});
// legend.items.push({styles:uniqStyle, label: "Privé", geometry: "Point"});

const iconStyle = [new ol.style.Style({
    image: new ol.style.Icon({
      anchor: [0.5, 46],
      anchorXUnits: 'fraction',
      anchorYUnits: 'pixels',
      color: "black",
      scale: 0.1,
      src: 'apps/entreprises/img/store.svg',
    }),
  })];
  

let layer = new ol.layer.Vector({
        source: new ol.source.Vector({
            //url: "apps/entreprises/data/sirene_35.geojson",
            url: "https://ows.region-bretagne.fr/geoserver/rb/wfs?SERVICE=WFS&REQUEST=GetCapabilities&request=GetFeature&service=WFS&version=1.1.0&typeName=sirene_bretagne&outputFormat=application/json&CQL_FILTER=codepostal in ('35390','35240')",
            format: new ol.format.GeoJSON()
        }),
        style: function(feature, resolution) {
            // Si Commune de Rennes avec CP 35000
            if (feature.get('codepostal') == 35000) {
                return blueStyle;
            // Sinon Si EPCI avec CP 35390 ou CP 35240
            } else if(["35390", "35240"].includes(feature.get("codepostal"))) {
                return iconStyle;
            }
            // Pour tous les autres points qui ont d'autres CP
            return greyStyle;
        }
});

new CustomLayer("sirene_bretagne", layer, legend);
